Index: DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 795)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 928)
@@ -82,4 +82,13 @@
 			</xsl:if>
 		</xsl:if>
+		
+		<xsl:if test="Heatsink">
+			<xsl:apply-templates select="Heatsink" />
+		</xsl:if>	
+		
+		<xsl:if test="Outlet">
+			<xsl:apply-templates select="Outlet" />
+		</xsl:if>	
+
 	</xsl:template>
 
@@ -425,5 +434,41 @@
 	</xsl:template>
 
+	<xsl:template name="BasicDEBBSimpleTypeProperties">
+		<xsl:comment>BasicDEBBSimpleTypeProperties</xsl:comment>
+		
+		<xsl:call-template name="BasicDEBBPhysicalElementProperties"/>
+		<!-- Transform (not needed in DCWoRMS) -->
+<!--		<xsl:if test="Transform">-->
+<!--			<xsl:element name="property">-->
+<!--				<xsl:attribute name="name">transform</xsl:attribute>-->
+<!--				<xsl:element name="value">-->
+<!--					<xsl:value-of select="Transform" />-->
+<!--				</xsl:element>-->
+<!--			</xsl:element>		-->
+<!--		</xsl:if>-->
+		
+		<!-- Reference (not needed in DCWoRMS) -->
+<!--		<xsl:if test="Reference">-->
+<!--			<xsl:element name="property">-->
+<!--				<xsl:attribute name="name">reference</xsl:attribute>-->
+<!--				<xsl:element name="value">-->
+<!--					<xsl:value-of select="Reference" />-->
+<!--				</xsl:element>-->
+<!--			</xsl:element>		-->
+<!--		</xsl:if>			-->
+	</xsl:template>
+	
 	<xsl:template name="BasicDEBBPhysicalElementProperties">
+		<xsl:comment>BasicDEBBPhysicalElementProperties</xsl:comment>
+		
+		<xsl:if test="Label">
+			<xsl:element name="property">
+				<xsl:attribute name="name">label</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="Label" />
+				</xsl:element>
+			</xsl:element>
+		</xsl:if>
+		
 		<xsl:if test="Manufacturer">
 			<xsl:element name="property">
@@ -434,4 +479,5 @@
 			</xsl:element>
 		</xsl:if>
+		
 		<xsl:if test="Product">
 			<xsl:element name="property">
@@ -442,4 +488,5 @@
 			</xsl:element>
 		</xsl:if>
+		
 		<xsl:if test="MaxPower">
 			<xsl:element name="property">
@@ -450,4 +497,76 @@
 			</xsl:element>
 		</xsl:if>
-	</xsl:template>
+		
+		<xsl:if test="PowerUsage">
+			<xsl:element name="property">
+				<xsl:attribute name="name">powerUsage</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="PowerUsage" />
+				</xsl:element>
+			</xsl:element>
+		</xsl:if>
+
+		<!-- PowerUsageProfile -->
+		<!-- TODO: It should be translated, but it is not clear how. Impossible
+		 to map hierarchy in parameters and their properties, which is necessary here. -->
+<!--		<xsl:if test="PowerUsageProfile">-->
+<!--			<xsl:element name="property">-->
+<!--				<xsl:attribute name="name">powerUsageProfile</xsl:attribute>-->
+<!--				<xsl:element name="value">-->
+<!--					<xsl:value-of select="PowerUsageProfile" />-->
+<!--				</xsl:element>-->
+<!--			</xsl:element>-->
+<!--		</xsl:if>-->
+
+		
+		<xsl:if test="Type">
+			<xsl:element name="property">
+				<xsl:attribute name="name">type</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="Type" />
+				</xsl:element>
+			</xsl:element>
+		</xsl:if>
+		
+	</xsl:template>
+	
+	<xsl:template match="Heatsink">
+		<xsl:element name="parameter">
+			<xsl:attribute name="name">heatsink</xsl:attribute>
+			
+			<xsl:if test="TransferRate">
+				<xsl:element name="property">
+					<xsl:attribute name="name">transferRate</xsl:attribute>
+					<xsl:element name="value">
+						<xsl:value-of select="TransferRate" />
+					</xsl:element>
+				</xsl:element>
+			</xsl:if>
+			
+			<!-- Don't call BasicDEBBPhysicalElementParameters, because parameter 
+				cannot contain parameters. Must be parameter containing properties. -->
+			<xsl:call-template name="BasicDEBBSimpleTypeProperties" />
+		</xsl:element>	
+	</xsl:template>	
+	
+	<xsl:template match="Outlet">
+		<xsl:element name="parameter">
+			<xsl:attribute name="name">outlet</xsl:attribute>
+			
+			<xsl:if test="MaxRPM">
+				<xsl:element name="property">
+					<xsl:attribute name="name">maxRPM</xsl:attribute>
+					<xsl:element name="value">
+						<xsl:value-of select="MaxRPM" />
+					</xsl:element>
+				</xsl:element>
+			</xsl:if>
+			
+			<!-- Don't call BasicDEBBPhysicalElementParameters, because parameter 
+				cannot contain parameters. Must be parameter containing properties. -->
+			<xsl:call-template name="BasicDEBBSimpleTypeProperties" />
+		</xsl:element>
+	
+	</xsl:template>	
+	
 </xsl:stylesheet>