Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 931)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 942)
@@ -51,20 +51,27 @@
 			<xsl:apply-templates select="Memory" />
 		</xsl:if>
+		
 		<xsl:if test="Storage">
 			<xsl:apply-templates select="Storage" />
 		</xsl:if>
+		
 		<xsl:call-template name="BasicDEBBPhysicalElementParameters" />
+		
 		<xsl:if test="Baseboard">
 			<xsl:apply-templates select="Baseboard" />
 		</xsl:if>
+		
 		<xsl:if test="Sensor">
 			<xsl:apply-templates select="Sensor" />
 		</xsl:if>
+		
 		<xsl:if test="PowerSupply">
 			<xsl:apply-templates select="PowerSupply" />
 		</xsl:if>
+		
 		<xsl:if test="Processor">
 			<xsl:apply-templates select="Processor" />
 		</xsl:if>
+		
 		<xsl:if test="CoolingDevice">
 			<!-- Base cooling device data -->
@@ -156,5 +163,5 @@
 			<!-- Don't call BasicDEBBPhysicalElementParameters, because parameter 
 				cannot contain parameters. Must be parameter containing properties. -->
-			<xsl:call-template name="BasicDEBBPhysicalElementProperties" />
+			<xsl:call-template name="BasicDEBBSimpleTypeProperties" />
 		</xsl:element>
 	</xsl:template>
@@ -282,7 +289,31 @@
 		<xsl:element name="parameter">
 			<xsl:attribute name="name">powerSupply</xsl:attribute>
+			
+			<xsl:element name="property">
+				<xsl:attribute name="name">class</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="Class" />
+				</xsl:element>
+			</xsl:element>
+
+			<xsl:element name="property">
+				<xsl:attribute name="name">totalOutputPower</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="TotalOutputPower" />
+				</xsl:element>
+			</xsl:element>
+		
+			<xsl:element name="property">
+				<xsl:attribute name="name">efficiency</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="Efficiency" />
+				</xsl:element>
+			</xsl:element>
+			
+			<!-- TODO: PowerProfile -->
+			
 			<!-- Don't call BasicDEBBPhysicalElementParameters, because parameter 
 				cannot contain parameters. Must be parameter containing properties. -->
-			<xsl:call-template name="BasicDEBBPhysicalElementProperties" />
+			<xsl:call-template name="BasicDEBBComplexTypeProperties" />
 		</xsl:element>
 	</xsl:template>
@@ -353,5 +384,10 @@
 				</xsl:element>
 			</xsl:if>
-			<xsl:call-template name="BasicDEBBPhysicalElementProperties" />
+			
+			<!-- TODO: AirThroughputProfile -->
+			
+			<!-- TODO: WaterThroughputProfile -->
+			
+			<xsl:call-template name="BasicDEBBComplexTypeProperties" />
 		</xsl:element>
 	</xsl:template>
@@ -412,4 +448,13 @@
 	<!-- Template for transforming basic parameters of all devices of any type -->
 	<xsl:template name="BasicDEBBPhysicalElementParameters">
+		<xsl:if test="Label">
+			<xsl:element name="parameter">
+				<xsl:attribute name="name">label</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="Label" />
+				</xsl:element>
+			</xsl:element>
+		</xsl:if>
+	
 		<xsl:if test="Manufacturer">
 			<xsl:element name="parameter">
@@ -436,4 +481,24 @@
 			</xsl:element>
 		</xsl:if>
+		
+		<xsl:if test="PowerUsage">
+			<xsl:element name="parameter">
+				<xsl:attribute name="name">powerUsage</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="PowerUsage" />
+				</xsl:element>
+			</xsl:element>
+		</xsl:if>
+
+		<!-- TODO: PowerUsageProfile -->
+
+		<xsl:if test="Type">
+			<xsl:element name="parameter">
+				<xsl:attribute name="name">type</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="Type" />
+				</xsl:element>
+			</xsl:element>
+		</xsl:if>	
 	</xsl:template>
 
@@ -461,4 +526,13 @@
 <!--			</xsl:element>		-->
 <!--		</xsl:if>			-->
+	</xsl:template>
+	
+	
+	<xsl:template name="BasicDEBBComplexTypeProperties">
+		<xsl:apply-templates select="Outlet"/>
+		<xsl:apply-templates select="Heatsink"/>
+		<xsl:apply-templates select="Sensor"/>
+		
+		<xsl:call-template name="BasicDEBBSimpleTypeProperties"></xsl:call-template>
 	</xsl:template>
 	