Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_1.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_1.xml	(revision 937)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PSNC_RECS_1.xml	(revision 945)
@@ -168,4 +168,12 @@
          </parameter>
          <parameter name="outlet"><!--BasicDEBBSimpleTypeProperties--><!--BasicDEBBPhysicalElementProperties--></parameter>
+         <parameter name="connector">
+            <property name="connectorType">
+               <value>1_rack_unit</value>
+            </property>
+            <property name="label">
+               <value>Label</value>
+            </property>
+         </parameter>
          <parameter name="slot">
             <property name="number">
@@ -365,4 +373,7 @@
                <value>Slot_18</value>
             </property>
+         </parameter>
+         <parameter name="size">
+            <value>150</value>
          </parameter>
          <parameter name="hostname">
@@ -416,4 +427,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_01</value>
@@ -425,5 +444,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -445,11 +464,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_1/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -498,4 +510,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_02</value>
@@ -507,5 +527,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -527,11 +547,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_2/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -580,4 +593,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_03</value>
@@ -589,5 +610,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -609,11 +630,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_3/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -662,4 +676,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_04</value>
@@ -671,5 +693,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -691,11 +713,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_4/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -744,4 +759,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_05</value>
@@ -753,5 +776,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -773,11 +796,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_5/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -826,4 +842,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_0v6</value>
@@ -835,5 +859,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -855,11 +879,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_6/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -908,4 +925,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_07</value>
@@ -917,5 +942,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -937,11 +962,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_7/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -990,4 +1008,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_08</value>
@@ -999,5 +1025,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -1019,11 +1045,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_8/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -1072,4 +1091,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_09</value>
@@ -1081,5 +1108,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -1101,11 +1128,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_9/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -1154,4 +1174,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_10</value>
@@ -1163,5 +1191,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -1183,11 +1211,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_10/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -1236,4 +1257,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_11</value>
@@ -1245,5 +1274,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -1265,11 +1294,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_11/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -1318,4 +1340,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_12</value>
@@ -1327,5 +1357,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -1347,11 +1377,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_12/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -1400,4 +1423,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_13</value>
@@ -1409,5 +1440,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -1429,11 +1460,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_13/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -1482,4 +1506,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_14</value>
@@ -1491,5 +1523,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -1511,11 +1543,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_14/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -1564,4 +1589,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_15</value>
@@ -1573,5 +1606,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -1593,11 +1626,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_15/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -1646,4 +1672,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_16</value>
@@ -1655,5 +1689,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -1675,11 +1709,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_16/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -1728,4 +1755,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_17</value>
@@ -1737,5 +1772,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -1757,11 +1792,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_17/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -1810,4 +1838,12 @@
                </property>
             </parameter>
+            <parameter name="connector">
+               <property name="connectorType">
+                  <value>COMExpress Type 2</value>
+               </property>
+               <property name="label">
+                  <value>COMExpress</value>
+               </property>
+            </parameter>
             <parameter name="hostname">
                <value>amdf_0_18</value>
@@ -1819,5 +1855,5 @@
                <powerProfile>
                   <energyEstimationPlugin>
-                     <name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+                     <name>example.energy.coolemall.NodeEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
                </powerProfile>
@@ -1839,11 +1875,4 @@
                   <value>/PSNC_RECS_1/Node@PSNC_RECS_1@inst_recs_1_node_18/</value>
                </parameter>
-               <profile>
-                  <powerProfile>
-                     <energyEstimationPlugin>
-                        <name>example.energy.recs.ProcessorEnergyEstimationPlugin</name>
-                     </energyEstimationPlugin>
-                  </powerProfile>
-               </profile>
             </computingResource>
          </computingResource>
@@ -1898,24 +1927,5 @@
             <name>example.localplugin.FCFSBF_LocalPlugin</name>
          </schedulingPlugin>
-         <managedComputingResources include="false">
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_1</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_2</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_3</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_4</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_5</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_6</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_7</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_8</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_9</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_10</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_11</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_12</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_13</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_14</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_15</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_16</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_17</resourceName>
-            <resourceName>Node@PSNC_RECS_1@inst_recs_1_node_18</resourceName>
-         </managedComputingResources>
+         <managedComputingResources include="false"/>
       </scheduler>
    </resources>