Index: /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/PLMXMLTranslator.xsl
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/PLMXMLTranslator.xsl	(revision 951)
+++ /DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/PLMXMLTranslator.xsl	(revision 952)
@@ -18,5 +18,5 @@
 
 	<!-- Information from which level the translator should start moving information to templates -->
-	<xsl:variable name="templateStartLevel" select="'NodeGroup'" />
+	<xsl:variable name="templateStartLevel" select="'Node'" />
 
 	<!-- Specification of the output document -->
@@ -313,102 +313,6 @@
 		</xsl:apply-templates>
 
-		<xsl:text>END</xsl:text>
-	
-	
-	</xsl:function>
-	
-	<!--
-	
-	<xsl:template match="plm:ProductRevisionView" mode="createTemplates">
-		
-		 instanceRefs contain space separated ids of nested DEBBs 
-		<xsl:variable name="tokenizedText" select="tokenize(@instanceRefs, ' ')" />
-		
-		 DEBBLevel 
-		<xsl:variable name="debbLevel"
-			select="plm:UserData/plm:UserValue[@title='DEBBLevel']/@value" />
-		 DEBBComponentId 
-		<xsl:variable name="debbComponentId"
-			select="plm:UserData/plm:UserValue[@title='DEBBComponentId']/@value" />
-		 DEBBComponentFile 
-		<xsl:variable name="debbComponentFile"
-			select="plm:UserData/plm:UserValue[@title='DEBBComponentFile']/@value" />
-
-		<xsl:attribute name="class">
-			<xsl:value-of select="$debbLevel" />
-		</xsl:attribute>
-
-		<xsl:if test="$debbComponentId != ''">
-			<xsl:attribute name="type">
-				<xsl:value-of select="$debbComponentId" />
-			</xsl:attribute>
-		</xsl:if>
-
-		
-		 Add DEBB information from DEBB Components file 
-		<xsl:attribute name="test">choose</xsl:attribute>
-		<xsl:choose>
-			 DEBB Components file is defined 
-			<xsl:when test="$debbComponentFile != ''">
-				<xsl:comment>
-					DEBB Component file is
-					<xsl:value-of select="$debbComponentFile" />
-				</xsl:comment>
-				<xsl:variable name="nestedDoc" select="document($debbComponentFile)" />
-				<xsl:apply-templates select="$nestedDoc//*[ComponentId=$debbComponentId]" />
-
-				<xsl:apply-templates select="$nestedDoc//*[ComponentId=$debbComponentId]">
-					<xsl:with-param name="computingResourceClasses">
-						<xsl:value-of select="$computingResourceClasses" />
-					</xsl:with-param>
-					<xsl:with-param name="resourceUnitClasses">
-						<xsl:value-of select="$resourceUnitClasses" />
-					</xsl:with-param>
-				</xsl:apply-templates>
-			
-				<xsl:call-template name="translateDEBBComponent">
-					<xsl:with-param name="nestedDoc"><xsl:value-of select="$nestedDoc"/></xsl:with-param>
-					<xsl:with-param name="debbComponentId"><xsl:value-of select="$debbComponentId"/></xsl:with-param>
-				</xsl:call-template>
-			</xsl:when>
-			 DEBB Components file is not defined. Use default one. 
-			<xsl:otherwise>
-				<xsl:comment>
-					DEBB Component file is
-					<xsl:value-of select="$defaultDEBBComponentsFileName" />
-				</xsl:comment>
-				<xsl:variable name="nestedDoc"
-					select="document($defaultDEBBComponentsFileName)" />
-
-
-				<xsl:call-template name="translateDEBBComponent">
-					<xsl:with-param name="nestedDoc"><xsl:value-of select="$nestedDoc"/></xsl:with-param>
-					<xsl:with-param name="debbComponentId"><xsl:value-of select="$debbComponentId"/></xsl:with-param>
-				</xsl:call-template>
-					
-				<xsl:apply-templates select="$nestedDoc//*[ComponentId=$debbComponentId]">
-					<xsl:with-param name="computingResourceClasses">
-						<xsl:value-of select="$computingResourceClasses" />
-					</xsl:with-param>
-					<xsl:with-param name="resourceUnitClasses">
-						<xsl:value-of select="$resourceUnitClasses" />
-					</xsl:with-param>
-				</xsl:apply-templates>
-					
-			</xsl:otherwise>
-		</xsl:choose>
-		
-		
-
-		 Iterate children and ask them to translate themselves 
-		<xsl:for-each select="1 to count($tokenizedText)">
-			<xsl:variable name="index" select="." />
-			<xsl:apply-templates
-				select="$rootDoc//plm:ProductInstance[@id=$tokenizedText[$index]]" />
-		</xsl:for-each>
-	</xsl:template>
-	
-	-->
-		
+		<xsl:text>END</xsl:text>	
+	</xsl:function>		
 	
 	<xsl:function name="fun:containsTemplates">