Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 743)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 959)
@@ -30,5 +30,5 @@
 \newlabel{fig:arch}{{1}{6}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.1}Architecture}{6}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.2}Workload modeling}{6}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.2}Workload modeling}{7}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.3}Resource modeling}{7}}
 \@writefile{lof}{\contentsline {figure}{\numberline {2}{\ignorespaces  Levels of information about jobs}}{8}}
@@ -36,10 +36,10 @@
 \citation{GSSIM_Energy}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.4}Energy management concept in DCWoRMS}{9}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.1}Power management}{9}}
-\@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces  Power consumption modeling}}{10}}
-\newlabel{fig:powerModel}{{3}{10}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.1}Power management}{10}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Power profile}}{10}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Power consumption model}}{10}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Power management interface}}{10}}
+\@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces  Power consumption modeling}}{11}}
+\newlabel{fig:powerModel}{{3}{11}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.5}Application performance modeling}{11}}
 \newlabel{sec:apps}{{3.5}{11}}
@@ -58,5 +58,4 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {4.3}Resource load}{15}}
 \newlabel{eq:dynamic}{{4}{15}}
-\citation{e2dc12}
 \newlabel{eq:model}{{7}{16}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {4.4}Application specific}{16}}
@@ -64,14 +63,20 @@
 \@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{16}}
 \newlabel{sec:experiments}{{5}{16}}
+\citation{e2dc12}
+\citation{abinit}
+\citation{cray}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{17}}
 \@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces  RECS system configuration}}{17}}
 \newlabel{testBed}{{1}{17}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Evaluated applications}{17}}
+\citation{linpack}
+\citation{tar}
+\citation{fft}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.3}Models}{18}}
 \newlabel{sec:models}{{5.3}{18}}
 \@writefile{lot}{\contentsline {table}{\numberline {2}{\ignorespaces  $P_{cpubase}$ values in Watts}}{18}}
 \newlabel{nodeBasePowerUsage}{{2}{18}}
-\@writefile{lot}{\contentsline {table}{\numberline {3}{\ignorespaces  $P_{app}$ values in Watts}}{18}}
-\newlabel{appPowerUsage}{{3}{18}}
+\@writefile{lot}{\contentsline {table}{\numberline {3}{\ignorespaces  $P_{app}$ values in Watts}}{19}}
+\newlabel{appPowerUsage}{{3}{19}}
 \@writefile{lot}{\contentsline {table}{\numberline {4}{\ignorespaces  Power models error in \%}}{19}}
 \newlabel{expPowerModels}{{4}{19}}
@@ -81,28 +86,27 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.5}Computational analysis}{20}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.1}Random approach}{21}}
-\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces  Random strategy}}{21}}
-\newlabel{fig:70r}{{6}{21}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.2}Energy optimization}{21}}
+\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces  Random strategy}}{22}}
+\newlabel{fig:70r}{{6}{22}}
 \@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Random + switching off unused nodes strategy}}{22}}
 \newlabel{fig:70rnpm}{{7}{22}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.2}Energy optimization}{22}}
 \@writefile{lot}{\contentsline {table}{\numberline {6}{\ignorespaces  Measured power of testbed nodes in idle state}}{23}}
 \newlabel{idlePower}{{6}{23}}
-\@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Energy usage optimization strategy}}{23}}
-\newlabel{fig:70eo}{{8}{23}}
-\@writefile{lof}{\contentsline {figure}{\numberline {9}{\ignorespaces  Energy usage optimization + switching off unused nodes strategy}}{24}}
-\newlabel{fig:70eonpm}{{9}{24}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.3}Downgrading frequency}{25}}
-\@writefile{lof}{\contentsline {figure}{\numberline {10}{\ignorespaces  Frequency downgrading strategy}}{25}}
-\newlabel{fig:70dfs}{{10}{25}}
+\@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Energy usage optimization strategy}}{24}}
+\newlabel{fig:70eo}{{8}{24}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.3}Downgrading frequency}{24}}
+\@writefile{lof}{\contentsline {figure}{\numberline {9}{\ignorespaces  Energy usage optimization + switching off unused nodes strategy}}{25}}
+\newlabel{fig:70eonpm}{{9}{25}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Discussion}{25}}
+\@writefile{lof}{\contentsline {figure}{\numberline {10}{\ignorespaces  Frequency downgrading strategy}}{26}}
+\newlabel{fig:70dfs}{{10}{26}}
 \@writefile{lof}{\contentsline {figure}{\numberline {11}{\ignorespaces  Schedules obtained for Random strategy (left) and Random + lowest frequency strategy (right) for 10\% of system load}}{26}}
 \newlabel{fig:dfsComp}{{11}{26}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Discussion}{26}}
-\@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{26}}
-\newlabel{loadEnergy}{{7}{26}}
+\@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{27}}
+\newlabel{loadEnergy}{{7}{27}}
 \@writefile{lot}{\contentsline {table}{\numberline {8}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{27}}
 \newlabel{loadMakespan}{{8}{27}}
 \@writefile{toc}{\contentsline {section}{\numberline {6}Conclusions and future work}{27}}
 \bibcite{fit4green}{{1}{}{{}}{{}}}
-\newlabel{}{{6}{28}}
 \bibcite{e2dc12}{{2}{}{{}}{{}}}
 \bibcite{CloudSim}{{3}{}{{}}{{}}}
@@ -112,4 +116,5 @@
 \bibcite{Ghislain}{{7}{}{{}}{{}}}
 \bibcite{games}{{8}{}{{}}{{}}}
+\newlabel{}{{6}{29}}
 \bibcite{GreenCloud}{{9}{}{{}}{{}}}
 \bibcite{GSSIM}{{10}{}{{}}{{}}}
@@ -117,13 +122,18 @@
 \bibcite{koomey}{{12}{}{{}}{{}}}
 \bibcite{fit4green_scheduler}{{13}{}{{}}{{}}}
-\bibcite{GWF}{{14}{}{{}}{{}}}
-\bibcite{SLURM}{{15}{}{{}}{{}}}
-\bibcite{SWF}{{16}{}{{}}{{}}}
-\bibcite{TORQUE}{{17}{}{{}}{{}}}
-\bibcite{colt}{{18}{}{{}}{{}}}
-\bibcite{coolemall}{{19}{}{{}}{{}}}
-\bibcite{ecocooling}{{20}{}{{}}{{}}}
-\bibcite{ff}{{21}{}{{}}{{}}}
-\bibcite{pue}{{22}{}{{}}{{}}}
-\bibcite{sgi}{{23}{}{{}}{{}}}
-\global\NAT@numberstrue
+\bibcite{abinit}{{14}{}{{}}{{}}}
+\bibcite{cray}{{15}{}{{}}{{}}}
+\bibcite{fft}{{16}{}{{}}{{}}}
+\bibcite{linpack}{{17}{}{{}}{{}}}
+\bibcite{tar}{{18}{}{{}}{{}}}
+\bibcite{GWF}{{19}{}{{}}{{}}}
+\bibcite{SLURM}{{20}{}{{}}{{}}}
+\bibcite{SWF}{{21}{}{{}}{{}}}
+\bibcite{TORQUE}{{22}{}{{}}{{}}}
+\bibcite{colt}{{23}{}{{}}{{}}}
+\bibcite{coolemall}{{24}{}{{}}{{}}}
+\bibcite{ecocooling}{{25}{}{{}}{{}}}
+\bibcite{ff}{{26}{}{{}}{{}}}
+\bibcite{pue}{{27}{}{{}}{{}}}
+\bibcite{sgi}{{28}{}{{}}{{}}}
+\providecommand\NAT@force@numbers{}\NAT@force@numbers