Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml	(revision 937)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml	(revision 977)
@@ -8,6 +8,10 @@
   <Type>NodeGroupEnclosure</Type>
   <Reference>
+    <Type>STL</Type>
+    <Location>./object/NodeGroup_recscase.stl</Location>
+  </Reference>
+  <Reference>
     <Type>VRML</Type>
-    <Location>./object/recscase.wrl</Location>
+    <Location>./object/NodeGroup_recscase.wrl</Location>
   </Reference>
   <Outlet>
@@ -18,8 +22,12 @@
     <PowerUsage>3.0</PowerUsage>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.9748 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
     <MaxRPM>0</MaxRPM>
@@ -28,8 +36,12 @@
     <Label>Outlet_2</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.8648 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -37,8 +49,12 @@
     <Label>Outlet_3</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.7548 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -46,8 +62,12 @@
     <Label>Outlet_4</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.6448 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -55,8 +75,12 @@
     <Label>Outlet_5</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.5348 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -64,8 +88,8 @@
     <Label>Outlet_6</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.4248 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
     </Reference>
   </Outlet>
@@ -73,8 +97,12 @@
     <Label>Outlet_7</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.3148 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -82,8 +110,12 @@
     <Label>Outlet_8</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.2048 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -91,8 +123,12 @@
     <Label>Outlet_9</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.0948 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -100,8 +136,12 @@
     <Label>Inlet_1</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.9748 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -109,8 +149,12 @@
     <Label>Inlet_2</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.8648 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -118,8 +162,12 @@
     <Label>Inlet_3</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.7548 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -127,8 +175,12 @@
     <Label>Inlet_4</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.6448 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -136,8 +188,12 @@
     <Label>Inlet_5</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.5348 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -145,8 +201,12 @@
     <Label>Inlet_6</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.4248 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -154,8 +214,12 @@
     <Label>Inlet_7</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.3148 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -163,11 +227,26 @@
     <Label>Inlet_8</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
-    </Reference>
-  </Outlet>
-  <Outlet>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.2048 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    </Reference>
+  </Outlet>
+  <Outlet>
+    <Label>Inlet_9</Label>
+    <Type>Fan</Type>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.0948 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    </Reference>
   </Outlet>
   <Connector>