Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml	(revision 977)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml	(revision 980)
@@ -8,10 +8,6 @@
   <Type>NodeGroupEnclosure</Type>
   <Reference>
-    <Type>STL</Type>
-    <Location>./object/NodeGroup_recscase.stl</Location>
-  </Reference>
-  <Reference>
     <Type>VRML</Type>
-    <Location>./object/NodeGroup_recscase.wrl</Location>
+    <Location>./object/recscase.wrl</Location>
   </Reference>
   <Outlet>
@@ -22,12 +18,8 @@
     <PowerUsage>3.0</PowerUsage>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.9748 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
     <MaxRPM>0</MaxRPM>
@@ -36,12 +28,8 @@
     <Label>Outlet_2</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.8648 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -49,12 +37,8 @@
     <Label>Outlet_3</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.7548 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -62,12 +46,8 @@
     <Label>Outlet_4</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.6448 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -75,12 +55,8 @@
     <Label>Outlet_5</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.5348 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -88,8 +64,8 @@
     <Label>Outlet_6</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.4248 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -97,12 +73,8 @@
     <Label>Outlet_7</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.3148 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -110,12 +82,8 @@
     <Label>Outlet_8</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.2048 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -123,12 +91,8 @@
     <Label>Outlet_9</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.0948 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -136,12 +100,8 @@
     <Label>Inlet_1</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.9748 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -149,12 +109,8 @@
     <Label>Inlet_2</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.8648 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -162,12 +118,8 @@
     <Label>Inlet_3</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.7548 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -175,12 +127,8 @@
     <Label>Inlet_4</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.6448 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -188,12 +136,8 @@
     <Label>Inlet_5</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.5348 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -201,12 +145,8 @@
     <Label>Inlet_6</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.4248 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -214,12 +154,8 @@
     <Label>Inlet_7</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.3148 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
     </Reference>
   </Outlet>
@@ -227,26 +163,11 @@
     <Label>Inlet_8</Label>
     <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.2048 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
-    </Reference>
-  </Outlet>
-  <Outlet>
-    <Label>Inlet_9</Label>
-    <Type>Fan</Type>
-    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.0948 0.00308 1</Transform>
-    <Reference>
-      <Type>STL</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
-    </Reference>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
-    </Reference>
+    <Transform>Transform</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>Location</Location>
+    </Reference>
+  </Outlet>
+  <Outlet>
   </Outlet>
   <Connector>